ITaskSettings::get_Compatibility method

Gets or sets an integer value that indicates which version of Task Scheduler a task is compatible with.

This property is read/write.

Syntax

HRESULT get_Compatibility(
  TASK_COMPATIBILITY *pCompatLevel
);

Parameters

pCompatLevel

Return Value

None

Remarks

Task compatibility, which is set through the Compatibility property, should only be set to TASK_COMPATIBILITY_V1 if a task needs to be accessed or modified from a Windows XP, Windows Server 2003, or Windows 2000 computer. Otherwise, it is recommended that Task Scheduler 2.0 compatibility be used because the task will have more features.

Tasks compatible with the AT command can only have one time trigger.

Tasks compatible with Task Scheduler 1.0 can only have a time trigger, a logon trigger, or a boot trigger, and the task can only have an executable action.

For more information about task compatibility, see What's New in Task Scheduler and Tasks.

Requirements

   
Minimum supported client Windows Vista [desktop apps only]
Minimum supported server Windows Server 2008 [desktop apps only]
Target Platform Windows
Header taskschd.h
Library Taskschd.lib
DLL Taskschd.dll

See Also

ITaskSettings

TASK_COMPATIBILITY

Task Scheduler